public static interface LuceneEndpointBuilderFactory.LuceneBuilders
| Modifier and Type | Method and Description |
|---|---|
default LuceneEndpointBuilderFactory.LuceneEndpointBuilder |
lucene(String path)
Lucene (camel-lucene)
Perform inserts or queries against Apache Lucene databases.
|
default LuceneEndpointBuilderFactory.LuceneEndpointBuilder |
lucene(String componentName,
String path)
Lucene (camel-lucene)
Perform inserts or queries against Apache Lucene databases.
|
default LuceneEndpointBuilderFactory.LuceneEndpointBuilder lucene(String path)
lucene:host:operation
Path parameter: host (required)
The URL to the lucene server
Path parameter: operation (required)
Operation to do such as insert or query.
There are 2 enums and the value can be one of: insert, querypath - host:operationdefault LuceneEndpointBuilderFactory.LuceneEndpointBuilder lucene(String componentName, String path)
lucene:host:operation
Path parameter: host (required)
The URL to the lucene server
Path parameter: operation (required)
Operation to do such as insert or query.
There are 2 enums and the value can be one of: insert, querycomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:operationApache Camel